Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdistmulti
Class ContinuousDistribution2Dim

    java.lang.Object
      umontreal.iro.lecuyer.probdistmulti.ContinuousDistributionMulti
          umontreal.iro.lecuyer.probdistmulti.ContinuousDistribution2Dim

Direct Known Subclasses:
  BiNormalDist, BiStudentDist

    public abstract class ContinuousDistribution2Dim

extends ContinuousDistributionMulti

Classes implementing 2-dimensional continuous distributions should inherit from this class. Such distributions are characterized by a density function f (x, y); thus the signature of a `density` method is supplied here. This class also provides a default implementation of bar(F)(x, y), the upper `CDF`. The inverse function F-1(u) represents a curve y = h(x) of constant u and it is not implemented.

Field Summary
`int` | `decPrec` Defines the target number of decimals of accuracy when approximating a distribution function, but there is no guarantee that this target is always attained.

Constructor Summary
`ContinuousDistribution2Dim()`

Method Summary
`double` | `barF(double x, double y)` .
`abstract double` | `cdf(double x, double y)` .
`double` | `cdf(double a1, double a2, double b1, double b2)` .
`double` | `density(double[] x)` Simply calls `density (x[0], x[1])`.
`abstract double` | `density(double x, double y)` Returns f (x, y), the density of (X, Y) evaluated at (x, y).

Methods inherited from class umontreal.iro.lecuyer.probdistmulti.ContinuousDistributionMulti
`getCorrelation, getCovariance, getDimension, getMean`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decPrec

    public int decPrec

  Defines the target number of decimals of accuracy when approximating a distribution function, but there is no guarantee that this target is always attained.

Constructor Detail

### ContinuousDistribution2Dim

    public ContinuousDistribution2Dim()

Method Detail

### density

    public abstract double density(double x,
                                   double y)

  Returns f (x, y), the density of (X, Y) evaluated at (x, y).

  Parameters:
    `x` - value x at which the density is evaluated
    `y` - value y at which the density is evaluated
  Returns:
    density function evaluated at (x, y)

### density

    public double density(double[] x)

  Simply calls `density (x[0], x[1])`.

  Specified by:
    `density` in class `ContinuousDistributionMulti`
  Parameters:
    `x` - point (x[0], x[1]) at which the density is evaluated
  Returns:
    density function evaluated at (x[0], x[1])

### cdf

    public abstract double cdf(double x,
                               double y)

  . Computes the distribution function F(x, y):

  F(x, y) = P[X <= x, Y <= y] = ∫-∞xds∫-∞ydt f (s, t).

  Parameters:
    `x` - value x at which the distribution function is evaluated
    `y` - value y at which the distribution function is evaluated
  Returns:
    distribution function evaluated at (x, y)

### barF

    public double barF(double x,
                       double y)

  . Computes the upper cumulative distribution function bar(F)(x, y):

  bar(F)(x, y) = P[X >= x, Y >= y] = ∫∞xds∫∞ydt f (s, t).

  Parameters:
    `x` - value x at which the upper distribution is evaluated
    `y` - value y at which the upper distribution is evaluated
  Returns:
    upper distribution function evaluated at (x, y)

### cdf

    public double cdf(double a1,
                      double a2,
                      double b1,
                      double b2)

  . Computes the cumulative probability in the square region

  P[a1 <= X <= b1, a2 <= Y <= b2] = ∫a1b1dx∫a2b2dy f (x, y).

  Parameters:
    `a1` - x lower limit of the square
    `a2` - y lower limit of the square
    `b1` - x upper limit of the square
    `b2` - y upper limit of the square
  Returns:
    the cumulative probability in the square region

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.